de.esprit.netsuite.netdata.event

## Class RunStateStatusEvent

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.common.gui.event.GenericEvent
      - - de.esprit.netsuite.netdata.event.ServerStatusEvent
        - - de.esprit.netsuite.netdata.event.RunStateStatusEvent

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public abstract class RunStateStatusEvent
      extends ServerStatusEvent

  This is a control event for administration purposes only. It is used to notify the `RunState` of a remotely running task to a client that is displaying the task in a list.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class de.esprit.netsuite.netdata.event.ServerStatusEvent

      `ServerStatusEvent.Source`

    - ### Nested classes/interfaces inherited from class de.esprit.common.gui.event.GenericEvent

      `GenericEvent.Listener`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `RunStateStatusEvent(NetMessageType msgType, RunState runState)`
    `` | `RunStateStatusEvent(NetMessageType msgType, RunState runState, java.lang.Exception error)`
    `` | `RunStateStatusEvent(NetMessageType msgType, RunState runState, java.lang.String progressMessage)`
    `protected` | `RunStateStatusEvent(NetMessageType msgType, RunState runState, java.lang.String message, java.lang.Exception error)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Exception` | `getError()`
    `java.lang.String` | `getProgressMessage()`
    `RunState` | `getRunState()`
    `boolean` | `hasError()`
    `boolean` | `isCancelled()`
    `boolean` | `isFailed()`
    `boolean` | `isFinished()`
    `boolean` | `isProgress()`
    `boolean` | `isStarted()`
    `boolean` | `isSucceeded()`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.netsuite.netdata.event.ServerStatusEvent

      `getMessageType`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RunStateStatusEvent

          public RunStateStatusEvent(NetMessageType msgType,
                             RunState runState)

    - #### RunStateStatusEvent

          public RunStateStatusEvent(NetMessageType msgType,
                             RunState runState,
                             java.lang.String progressMessage)

    - #### RunStateStatusEvent

          public RunStateStatusEvent(NetMessageType msgType,
                             RunState runState,
                             java.lang.Exception error)

    - #### RunStateStatusEvent

          protected RunStateStatusEvent(NetMessageType msgType,
                             RunState runState,
                             java.lang.String message,
                             java.lang.Exception error)

  - ### Method Detail

    - #### getProgressMessage

          public java.lang.String getProgressMessage()

    - #### hasError

          public boolean hasError()

    - #### getError

          public java.lang.Exception getError()

    - #### getRunState

          public RunState getRunState()

    - #### isStarted

          public boolean isStarted()

    - #### isProgress

          public boolean isProgress()

    - #### isSucceeded

          public boolean isSucceeded()

    - #### isCancelled

          public boolean isCancelled()

    - #### isFailed

          public boolean isFailed()

    - #### isFinished

          public boolean isFinished()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.